Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT) [RESOLVIDO]

1. Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT) [RESOLVIDO]

Paulo Henrique Nogueira
Nogueiraprof

(usa Ubuntu)

Enviado em 06/04/2020 - 01:00h

Meus cumprimentos a todos.
Tenho pouco tempo de utilização do Linux, logo, não sei se escolhi "Categoria" e "Subcategoria", para esta postagem, se negativo, antecipo minhas desculpas.
Bom, vamos ao que interessa: "recentemente adquiri um com pc (2ª mão), com as seguintes configurações básicas:
Memória: 1,9 GiB
Processador AMD Athlon(tm) 64x2 dual core processor 4200+ x 2
Gráficos: NV4B
GNOME> 3.28.2
Tipo de sistema 64 bits
Disco: 491,2 GB
Após a compra, instalei o LTS 18.04 (Ubuntu) e percebi oscilações na tela inicial, vários riscos e cores misturadas, o quê, em poucos instantes sumiam e td voltava ao normal. O ex proprietário informou que nunca havia instalado a placa de vídeo e usa JoliOS.
Acessei o modelo da placa: VGA compatible controller: NVIDIA Corporation G73 [GeForce 7300 GT] (rev a1)
Busquei uma lista de drivers e encontrei nvidia pacote 304.
Ao tentar a instalação recebi a mensagem: "E; o pacote nvidia não tem candidato para a instalação".
Algum dos membros que, com certeza, tem mais experiência que eu, poderia ajudar?



  


2. MELHOR RESPOSTA

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 06/04/2020 - 08:42h

https://www.geforce.com/drivers/results/123852
#!/usr/bin/env bash
#-----------------------------------------------------------------------------------------------------------------------#
# Script Shell por João Cláudio de Alcântara.----------------------------------------------------#
#----------------------------------------------------------------------------------------------------------------------#
# Este script foi escrito para ser capaz de instalar drivers proprietário------------#
# da Nvidia em qualquer Linux OS.------------------------------------------------------------------#
# Ele foi testado no Lubuntu 16.04 LST.----------------------------------------------------------#
# Você pode alterar e redistribuir este script.-------------------------------------------------#
#---------------------------------------------------------------------------------------------------------------------#
clear
echo "=========================================="
echo "# CREDITO #" #
echo "# Autor: João Cláudio de Alcântara #" #
echo "# E-mail: [email protected] #" #
echo "=========================================="
sleep 5
#-----------VARIAVEIS----------#
echo "Coloque o caminho do instalador oficial baixado do site da Nvidia"
read instalador
#-------------------------------------#
#-------------TESTES-------------#
if [ `whoami` == root ]; then # Verifica se o script shell esta sendo executado como root
echo "Você é ROOT"
else
echo -e "\033[31mVocê deve ser ROOT para executar este Script Shell.\033[m"; exit
fi
while true # Verifica se o arquivo de driver Nvidia foi encontrado
do
if [ -f $instalador ]; then
echo "Arquivo encontrado"; break
else
echo -e "\033[31mFalha arquivo não foi encontrado\033[m"; echo -e "Coloque o caminho do instalador oficial baixado do site da Nvidia\nCtrl+C para sair !"; read instalador
fi
done
#-------------------------------------#
echo -e "\033[0;32m
_ _ _
| | (_) | |
__| | _ __ _ __ __ ___ _ __ ___ | |__
/ _ || __|| |\ \ / // _ \| __|/ __|| _ \
| (_| || | | | \ V /| __/| | _ \__ \| | | |
\__ _||_| |_| \_/ \___||_|(_)|___/|_| |_|
\033[0;34mVersion: 1\033[m
"
if lsmod | grep nvidia; then # Detecta se o driver Nvidia esta ativo
echo -e "\033[32mO driver da Nvidia foi detectado e já esta carregado.\033[m"
sleep 10; echo "Saindo..."; exit
fi
if lsmod | grep nouveau; then # Detecta se o driver nouveau esta ativo e desativa.
echo -e "# Gerado pelo script shell-for-driver.sh\nblacklist nouveau\noptions nouveau modeset=0" > /etc/modprobe.d/blacklist-nouveau.conf
update-initramfs -u
echo -e "O sistema sera reiniciado em 10 seg...\napós reinicio iniciar novamente o script.\nCtrl+C para cancelar !"
sleep 10
systemctl -i reboot
fi
echo -e "
\033[0;31mATENÇÃO\033[m\n---> Este script deve ser executado no terminal\npara acessar o terminal use as teclas Ctrl+Alt+F1.\nO computador precisa reiniciar e você tera\nque iniciar o script varias vezes ate terminar a instalação !\n
"
read -p "Pressione [Enter] para continuar ou CTRL+C para sair..."
# Detecta e para o direct manager suporta LightDM, GDM, MDM, KDM, LXDM e SDDM
if type /etc/init.d/lightdm; then echo "Detectado LightDM";
/etc/init.d/lightdm stop
elif type /etc/init.d/gdm; then echo "Detectado GDM";
/etc/init.d/gdm stop
elif type /etc/init.d/kdm; then echo "Detectado MDM";
/etc/init.d/mdm stop
elif type /etc/init.d/mdm; then echo "Detectado KDM";
/etc/init.d/kdm stop
elif type /etc/init.d/lxdm; then echo "Detectado LXDM";
/etc/init.d/lxdm stop
elif type /etc/init.d/sddm; then echo "Detectado SDDM";
/etc/init.d/sddm stop
else
echo -e "\033[0;31mFalha não foi possível detectar o Direct Manager.\nRever linhas 61 a 76.\033[m"
exit
fi
bash $instalador # Inicia o instalador com a opção de não questionar habilitada, Assume yes.
echo -e "O sistema sera reiniciado em 10 seg...\nCtrl+C para cancelar !"
sleep 10
systemctl -i reboot

Copie e cole e salve com uma ferramenta de texto (Não é aquelas ferramenta de escritorio é uma ferramenta tipo o leafpad) e execute e siga as instruções.

Satisfaça estas dependências:
Software Element 	Supported versions 	Check With...
Linux kernel 2.4.22 and newer cat /proc/version
X.Org* 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8, 1.9, 1.10, 1.11, 1.12, 1.13, 1.14, 1.15, 1.16, 1.17, 1.18, 1.19 Xorg -version
Kernel modutils 2.1.121 and newer insmod --version
glibc 2.0 ls /lib/libc.so.* > 6

* It is only required that you have one of XFree86 or X.Org, not both.

Please see “How do I interpret X server version numbers?” for a note about X server version numbers.

If you need to build the NVIDIA kernel module:
Software Element Min Requirement Check With...
binutils 2.9.5 size --version
GNU make 3.77 make --version
gcc 2.91.66 gcc --version

Fonte: https://us.download.nvidia.com/XFree86/Linux-x86_64/304.137/README/minimumrequirements.html

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.

3. INSTALAÇÃO DE DRIVERS NVIDIA - PACOTE 304 (GE FORCE 7300 GT)

Paulo Henrique Nogueira
Nogueiraprof

(usa Ubuntu)

Enviado em 07/04/2020 - 04:41h

A satisfação das dependências deverá ser feita manualmente, via terminal ou synaptic, por exemplo?


4. Re: Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT)

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 07/04/2020 - 10:07h

Pode ser qualquer um gerenciador de pacote.
Pode tentar instalar sem verificar as dependências primeiro não vai mudar nada no seu sistema caso elas não esteja satisfeita.
Depois de dar erro é muito provável que seja dependência faltando ai você instala poque as vezes você fica verificando dependência e nem esta faltando nada.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


5. Re: Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT) [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 07/04/2020 - 10:13h


Só uma dúvida. Procurou a placa em Drivers Proprietários ? (ou Drivers Adicionais), algo asism.


6. Re: Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT)

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 07/04/2020 - 12:25h

Eu suponho que sim já que ele recebeu a mensagem "E; o pacote nvidia não tem candidato para a instalação".
O que eu não sei resolver é essa mensagem já que se o driver esta listado eu não sei porque deu que não tem candidato essa mensagem aparece em dependência que não esta disponível eu nunca vi ela aparecer quando o pacote esta disponível isso não tem logica a menos que seja bug.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


7. Re: Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT) [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 07/04/2020 - 12:37h


aguamole escreveu:

Eu suponho que sim já que ele recebeu a mensagem "E; o pacote nvidia não tem candidato para a instalação".
O que eu não sei resolver é essa mensagem já que se o driver esta listado eu não sei porque deu que não tem candidato essa mensagem aparece em dependência que não esta disponível eu nunca vi ela aparecer quando o pacote esta disponível isso não tem logica a menos que seja bug.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Drivers Adicionais não teria essa mensagem... isso mensagem do terminal.


8. Re: Instalação de drivers nvidia - pacote 304 (Ge Force 7300 GT)

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 07/04/2020 - 14:13h

O driver adicional usa o APT para verificar e instalar os driver e o APT só roda no terminal.
driver adicional é frontend, Synapitic, Aptitude é tudo frontend.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts